{% extends 'base.html' %}
{% load markdownify %}

{% block content %}

    <div>
        <h1>{{ project_detail.name }}</h1>
        {{ project_detail.description|markdownify }}
        <h2>Tasks</h2>
        <div>
            <a href={% url 'create_task' %}>Create a new task</a>
        </div>
        {% if project_detail.tasks.all %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for task in project_detail.tasks.all %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.assignee }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            {% if task.is_completed %}
                                <td>yes</td>
                            {% else %}
                                <td>no</td>
                            {% endif %}

                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p>This project has no tasks</p>
        {% endif %}
    </div>

{% endblock content %}
